<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>RPS|Game</title>
    <!--bootstrap css-->
    <link rel="stylesheet" href="./../css/bootstrap.css">
    <!-- main css-->
    <link rel="stylesheet" href="./../css/main.css">
    <!-- google font-->
    <link href="https://fonts.googleapis.com/css2?family=Bebas+Neue&family=Roboto:wght@500&display=swap" rel="stylesheet">
    <!-- font awsome js-->
    <script src="./../js/all.js"></script>
   

</head>


<body>

    
    <header id="banner">
        <div class="container-fluid">
            <div class="row headerHight align-items-center justify-content-between bg-dark m-3 ">
                <div id= "logo"class="col-12  col-sm-12 col-md-4 col-lg-2 my-1">
                    <img src="./../img/logo.png" alt="">
                </div>
                <div  class="col-6 col-sm-6 col-md-4 col-lg-8  text-light text-uppercase my-1 ">
                    <nav id= "navBar">
                        <ul>
                            <li><a href="#"><b>Top players</b></a></li>
                            <li><a href="./create_newGame_page.html"><strong>new Game</strong></a></li>
                            <li><a href="./join_game_page.html"><strong>join game</strong></a></li>
                            <li><a href="#"><strong>score board</strong></a></li>
                            <li><a href="./../index.html"><strong>home</strong></a></li>
                        </ul>
                    </nav>
                     <!--dropdown-->
                     <div  id="pk"class="dropdown">
                        <button class="btn btn-pink text-warning shadow"><i class="fa fa-bars text-white"></i></button>
                        <div class="dropdown-content text-uppercase">
                        <a href="./../index.html">Home</a>
                        <div class="dropdown-divider"></div>
                        <a href="#">score board</a>
                        <div class="dropdown-divider"></div>
                        <a href="./join_game_page.html">join game</a>
                        <div class="dropdown-divider"></div>
                        <a href="./create_newGame_page.html">new Game</a>
                        <div class="dropdown-divider"></div>
                        <a href="#">Top players</a>
                        <div class="dropdown-divider"></div>
                        <a href="#">About</a>
                        
                        </div>
                        
                      </div>
                </div>
                <div  id= "logInAndRegtrationSection" class="col-6 col-sm-6 col-md-4 col-lg-2  float-right my-1 pl-5 ">
                    
                    <div  id="ck"class="dropdown two">
                        <button type="button" class="btn btn-danger text-warning shadow"><i class="fas fa-user-alt text-white"></i></button>
                        <div class="dropdown-content text-uppercase">
                        <a  id="signInButton" href="./signIn_page.html">login</a>
                        <div class="dropdown-divider"></div>
                        <a   id="signUpButton"href="./signUp_page.html">reginster</a>
                        
                        </div>
                        
                      </div>
        
                   
        
                  
          
        
                    
                    
                  </div>
            </div>
        </div>
    </header>

    <section id="gameStatus">
        <div class=" container-fluid ">
            <div class="row bg-info p-1 mx-3">
                <div class="col text-center text-pink">
                    <div id="notReady" class="mainHight">
                        <h4  >Game is not ready</h4>
                    </div>
                    
                    <h4 id="ready">Game is  ready</h4>
                    <h4 id="gameDone" >Game is Over</h4>
   
                </div>
            </div>

        </div>
    </section>

    <section id="gameWindow">
        <div class="container-fluid shadow ">
     
         <!-- game model-->
         <div class="row bg-pink p-1 mx-3">
             <div class="col text-center">
                 <h4>Game <span id="gameName"></span></h4>

             </div>
         </div>
         <div class="row bg-warning p-2 mx-3">
            <div class="col text-center">
                <h4 id="moveRegistrationLabel">Make your Move</h4>

            </div>
         </div>
         <div class="row gameMoveBoxHight bg-light align-items-center justify-content-between mx-3">
            <div class="col-12 col-md-3 m-1 text-center ">
                <div  id= "myRock" class=" ">
                    <a  onclick="handelPlayerMove(ROCK)" class=" btn btn-dark  border border-dark rounded-circle"><i class="fas fa-hand-rock fa-7x text-info"></i></a>
                   </div>
            </div>
            <div class="col-12 col-md-3 m-1 text-center ">
                   <div  id= "myPaper" class=" ">
                    <a onclick="handelPlayerMove(PAPER)" class=" btn btn-dark  border border-dark rounded-circle"><i class="fas fa-hand-paper fa-7x text-info"></i></a>
                   </div>
            </div>
            <div class="col-12 col-md-3 m-1 text-center">
                   <div id= "myScissors" class=" ">
                    <a  onclick="handelPlayerMove(SCISSORS)"class=" btn btn-dark  border border-dark rounded-circle"><i class="fas fa-hand-scissors fa-7x text-info"></i></a>
                   </div>

            </div>
         </div>

         <div class="row bg-warning p-2 mx-3">
            <div class="col text-center">
                <h4>Result: <span id='gameResult' class="btn btn-danger">--</span></h4>

            </div>
         </div>
         <div class="row bg-dark text-pink align-items-center justify-content-between p-2 mx-3 ">
            <div class="col-12 col-md-5  bg-info text-center mb-1">
               
                <h4>Your Move:<span  id="playerMove" class="btn btn-pink text-light">--</span></h4>

            </div>
            <div class="col-12 col-md-5  bg-success text-center  ">
                
                <h4>Opponent Move:<span id="opponentMove" class="btn btn-pink text-light">--</span></h4>

            </div>
         </div>

            
       
     
         <!--  end signup model-->
     
        </div>
     
     
    </section>



    <footer>
        <div class="container-fluid ">
            <div class="row headerHight align-items-center justify-content-center bg-dark m-3 ">
                <div class="col text-pink text-center">
                    <h5>Author@Shakir Ahmed Zahedi</h5>
                    <h6>All rights reserve@2020</h6>
                </div>
            </div>
        </div>

    </footer>


    <!-- my js-->
    <script src="./../js/api.js"></script>
    <script src="./../js/join_game_with_opponent.js"></script>
    <script src="./../js/game_with_opponent_for_result.js"></script>
    <script src="./../js/game_logic.js"></script>
    <script src="./../js/game_with_human_DOM_update.js"></script>
    
 
    <!--jquery js-->
    <script src="./../js/jquery-3.5.1.min.js"></script>
    <!-- bootstrap js-->
    <script src="./../js/bootstrap.bundle.js"></script>

</body>
</html>